const styles = ['Джаз', 'Блюз'];
styles.push('Рок-н-Ролл'); // Добавляю 'Рок-н-Ролл' в конец массива

console.log(styles[Math.floor(styles.length / 2)]); 
// Вывожу результат в консоль для удобства/наглядности. 
// выбираю массив styles, ставлю [] для выбора элемента в массиве по порядковому номеру,
// выбираю средний элемент массива путем деления его длины на 2. 
// Поскольку число может быть не целым в случае нечетного количества элементов, убираю нецелые значения через Math.floor.
// Теперь вне зависимости от количества элементов в массиве всегда будет выбираться элемент посередине.

console.log(styles.shift()); // Вывожу в консоль первый элемент массива styles, который удалил с помощью shift.

styles.unshift('Рэп', 'Регги'); // Добавляю в начало массива styles элементы 'Рэп' и 'Регги'.
console.log(styles) // Вывожу в консоль содержимое массива styles, все работает)